Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# BulletWheel Class Reference

One wheel of a BulletVehicle. More...

List of all members.

## Public Member Functions
float | getBrake ()
| Returns the amount of braking force currently applied.
Point3 | getChassisConnectionPointCs ()
| Returns the point where the wheel is connected to the chassis.
float | getClippedInvConnectionPointCs ()
float | getDeltaRotation ()
float | getEngineForce ()
| Returns the amount of accelleration force currently applied.
float | getFrictionSlip ()
| Returns how slippery the tyres are.
float | getMaxSuspensionForce ()
| Returns the maximum force (weight) the suspension can handle.
float | getMaxSuspensionTravelCm ()
PandaNode | getNode ()
| Returns the PandaNode which representates the visual appearance of this wheel, if such a representation has been set previously.
float | getRollInfluence ()
| Returns the factor by which roll forces are scaled.
float | getRotation ()
float | getSkidInfo ()
float | getSteering ()
| Returns the steering angle in degrees.
float | getSuspensionRelativeVelocity ()
float | getSuspensionRestLength ()
| Returns the length of the suspension when the vehicle is standing still.
float | getSuspensionStiffness ()
| Returns the stiffness of the suspension.
Vec3 | getWheelAxleCs ()
| Returns the normal vector of the wheel axle.
Vec3 | getWheelDirectionCs ()
| Returns the wheel's forward vector relative to the chassis.
float | getWheelRadius ()
| Returns the wheel radius.
float | getWheelsDampingCompression ()
| Returns the damping applied to the compressing suspension.
float | getWheelsDampingRelaxation ()
| Returns the damping applied to the relaxing suspension.
float | getWheelsSuspensionForce ()
Mat4 | getWorldTransform ()
bool | isFrontWheel ()
| Determines if a wheel is steerable.
| setBrake (float value)
| setChassisConnectionPointCs (Point3 const pos)
| Sets the point where the wheel is connected to the chassis.
| setClippedInvConnectionPointCs (float value)
| setDeltaRotation (float value)
| setEngineForce (float value)
| Defines how much force should be used to rotate the wheel.
| setFrictionSlip (float value)
| Sets the slipperyness of the tyre.
| setFrontWheel (bool value)
| Sets if the wheel is steerable.
| setMaxSuspensionForce (float value)
| Sets the maximum suspension force the wheel can handle.
| setMaxSuspensionTravelCm (float value)
| Sets the maximum distance the suspension can travel out of the resting position in centimeters.
| setNode (PandaNode node)
| Sets the PandaNode which representates the visual appearance of this wheel.
| setRollInfluence (float value)
| Defines a scaling factor for roll forces that affect the chassis.
| setRotation (float value)
| setSkidInfo (float value)
| setSteering (float value)
| Sets the steering angle.
| setSuspensionRelativeVelocity (float value)
| setSuspensionStiffness (float value)
| Sets how stiff the suspension shall be.
| setWheelAxleCs (Vec3 const axle)
| Determines the wheel axle normal vector.
| setWheelDirectionCs (Vec3 const dir)
| Sets the wheel's forward vector.
| setWheelRadius (float value)
| Sets the wheel radius.
| setWheelsDampingCompression (float value)
| Sets the damping forces applied when the suspension gets compressed.
| setWheelsDampingRelaxation (float value)
| Sets the damping forces applied when the suspension relaxes.
| setWheelsSuspensionForce (float value)
| setWorldTransform (Mat4 const mat)

## Detailed Description

One wheel of a BulletVehicle.

Instances should not be created directly but using the factory method BulletVehicle.create_wheel().

## Member Function Documentation

float getBrake | ( |  | ) |

Returns the amount of braking force currently applied.

Point3 getChassisConnectionPointCs | ( |  | ) |

Returns the point where the wheel is connected to the chassis.

float getClippedInvConnectionPointCs | ( |  | ) |

float getDeltaRotation | ( |  | ) |

float getEngineForce | ( |  | ) |

Returns the amount of accelleration force currently applied.

float getFrictionSlip | ( |  | ) |

Returns how slippery the tyres are.

float getMaxSuspensionForce | ( |  | ) |

Returns the maximum force (weight) the suspension can handle.

float getMaxSuspensionTravelCm | ( |  | ) |

PandaNode getNode | ( |  | ) |

Returns the PandaNode which representates the visual appearance of this wheel, if such a representation has been set previously.

float getRollInfluence | ( |  | ) |

Returns the factor by which roll forces are scaled.

See set_roll_influence.

float getRotation | ( |  | ) |

float getSkidInfo | ( |  | ) |

float getSteering | ( |  | ) |

Returns the steering angle in degrees.

float getSuspensionRelativeVelocity | ( |  | ) |

float getSuspensionRestLength | ( |  | ) |

Returns the length of the suspension when the vehicle is standing still.

float getSuspensionStiffness | ( |  | ) |

Returns the stiffness of the suspension.

Vec3 getWheelAxleCs | ( |  | ) |

Returns the normal vector of the wheel axle.

Vec3 getWheelDirectionCs | ( |  | ) |

Returns the wheel's forward vector relative to the chassis.

float getWheelRadius | ( |  | ) |

Returns the wheel radius.

float getWheelsDampingCompression | ( |  | ) |

Returns the damping applied to the compressing suspension.

float getWheelsDampingRelaxation | ( |  | ) |

Returns the damping applied to the relaxing suspension.

float getWheelsSuspensionForce | ( |  | ) |

Mat4 getWorldTransform | ( |  | ) |

bool isFrontWheel | ( |  | ) |

Determines if a wheel is steerable.

setBrake | ( | float | value | ) |

setChassisConnectionPointCs | ( | Point3 const | pos | ) |

Sets the point where the wheel is connected to the chassis.

setClippedInvConnectionPointCs | ( | float | value | ) |

setDeltaRotation | ( | float | value | ) |

setEngineForce | ( | float | value | ) |

Defines how much force should be used to rotate the wheel.

setFrictionSlip | ( | float | value | ) |

Sets the slipperyness of the tyre.

setFrontWheel | ( | bool | value | ) |

Sets if the wheel is steerable.

setMaxSuspensionForce | ( | float | value | ) |

Sets the maximum suspension force the wheel can handle.

setMaxSuspensionTravelCm | ( | float | value | ) |

Sets the maximum distance the suspension can travel out of the resting position in centimeters.

setNode | ( | PandaNode | node | ) |

Sets the PandaNode which representates the visual appearance of this wheel.

setRollInfluence | ( | float | value | ) |

Defines a scaling factor for roll forces that affect the chassis.

0.0 means no roll - the chassis won't ever flip over - while 1.0 means original physical behaviour. Basically, this allows moving the center of mass up and down.

setRotation | ( | float | value | ) |

setSkidInfo | ( | float | value | ) |

setSteering | ( | float | value | ) |

Sets the steering angle.

setSuspensionRelativeVelocity | ( | float | value | ) |

setSuspensionStiffness | ( | float | value | ) |

Sets how stiff the suspension shall be.

setWheelAxleCs | ( | Vec3 const | axle | ) |

Determines the wheel axle normal vector.

setWheelDirectionCs | ( | Vec3 const | dir | ) |

Sets the wheel's forward vector.

(Most likely orthogonal to the axle vector.)

setWheelRadius | ( | float | value | ) |

Sets the wheel radius.

setWheelsDampingCompression | ( | float | value | ) |

Sets the damping forces applied when the suspension gets compressed.

setWheelsDampingRelaxation | ( | float | value | ) |

Sets the damping forces applied when the suspension relaxes.

setWheelsSuspensionForce | ( | float | value | ) |

setWorldTransform | ( | Mat4 const | mat | ) |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties